classification
Title: Carbon Event ReceiveNextEvent
Type: behavior Stage: test needed
Components: macOS Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: jackjansen Nosy List: ajaksu2, flabbergasted, jackjansen, terry.reedy
Priority: low Keywords:

Created on 2003-07-29 00:39 by flabbergasted, last changed 2010-05-11 21:14 by terry.reedy. This issue is now closed.

Messages (3)
msg60362 - (view) Author: Mark Kim (flabbergasted) Date: 2003-07-29 00:39
Carbon event, ReceiveNextEvent has an inList variable
(const EventTypeSpec *inList) which can be specified as
Null "if any event should cause this function to
return."  I've tried passing ReceiveNextEvent a 0,
None/NULL an empty tuple/length two array, but it
either throws an error, "TypeError: argument must be
2-item sequence, not None" or "int" or throws error
type -9875.  I looked at _CarbonEvtModule.c and it
doesn't look like I can pass ReceiveNextEvent a Null
because it demands a type of EventTypeSpec.
msg81862 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-02-13 03:24
Needs confirmation.
msg105547 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-05-11 21:14
I have the strong impression that Carbon is no longer used (or is being phased out) in modern Mac ports of Python. Reopen is this is wrong and there is a problem in 2.6,7 or 3.1,2.
History
Date User Action Args
2010-05-11 21:14:06terry.reedysetstatus: open -> closed

nosy: + terry.reedy
messages: + msg105547

resolution: out of date
2009-02-13 03:24:40ajaksu2setpriority: normal -> low
nosy: + ajaksu2
type: behavior
messages: + msg81862
stage: test needed
2003-07-29 00:39:28flabbergastedcreate